summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNaohiro Aota <naota@gentoo.org>2018-02-26 16:26:46 +0900
committerNaohiro Aota <naota@gentoo.org>2018-02-26 16:31:40 +0900
commit1ce76267d12e2837c7768d9ea19fd7bd797cb1f1 (patch)
tree5739148af56b987f45b11a1f9afab7d79a2cf8d6
parentnet-misc/quagga: stable 1.2.4 for hppa, bug #647788 (diff)
downloadgentoo-1ce76267d12e2837c7768d9ea19fd7bd797cb1f1.tar.gz
gentoo-1ce76267d12e2837c7768d9ea19fd7bd797cb1f1.tar.bz2
gentoo-1ce76267d12e2837c7768d9ea19fd7bd797cb1f1.zip
app-emacs/markdown-mode: version bump
Bug: https://bugs.gentoo.org/647846 Package-Manager: Portage-2.3.24, Repoman-2.3.6
-rw-r--r--app-emacs/markdown-mode/Manifest1
-rw-r--r--app-emacs/markdown-mode/markdown-mode-2.3.ebuild24
2 files changed, 25 insertions, 0 deletions
diff --git a/app-emacs/markdown-mode/Manifest b/app-emacs/markdown-mode/Manifest
index 9e857817e3c..33627efc294 100644
--- a/app-emacs/markdown-mode/Manifest
+++ b/app-emacs/markdown-mode/Manifest
@@ -1,3 +1,4 @@
DIST markdown-mode-1.8.1.el.xz 18152 BLAKE2B 38d41ffc9fa22db0b31a0f6fa9eeeeb8beab5ac519a737f2e0de926f736a40c6570d3a98097a90b347b16569e2d191cb1cd9e630bf1a9071fa7939a0f88f2c5c SHA512 1e679a409fa5a7f6f622e4a554d74ea1820ba1e82eb77d3ce6b33d5494350232a2b165c9f002a076d4ce97138584381938d5c2ccac4161131ffba82da5091946
DIST markdown-mode-2.0.el.xz 39508 BLAKE2B 723d3762584a9723851f7dda63f172a5d495bd8c967538bbf9f2b3b2dacebc31ee3369dde1d8bfc288419a585e9f3a66382fc3e35de143618cdfd5e5cd77010f SHA512 eaad1561c5a84f47cd07318f0c80454d28a59becc0372453ec1412511879335a5717d1531895fe969c5d2fe7a4aac5a9e55ee727dcee621ba203737ca9182f3d
DIST markdown-mode-2.1.el.xz 50484 BLAKE2B 12ae664f0680a420727148c2ed78275ab7dcdc8ae742a0152f82dc25150cea9bd5d880b9244351792354ac1d64789267163512e55c2b83f64855bbc0ab0ac33e SHA512 3f0d68b03408281e49c9dbf4d26b8c1f766aa675efea6789b13722c7b1d831af35d3ea30ac071be00242279bca31d04fe92a28b901698fe2072d4504d9901253
+DIST markdown-mode-2.3.el 387130 BLAKE2B acb583126a6f952835537f9e386df5f9a8fda5e49a14520e153c0cc99fc58cca596607b282f9f7070b001fe8165d50adb9abb81de1b03ae102cf2061de587810 SHA512 0820c5ae585e0f5ee8fef9eca40f2de2ad632a2559ea7f447cd19ded592de38bf2f3df8491796c15eb06723fe2af904335535af145356c7a7f9f855612263aaf
diff --git a/app-emacs/markdown-mode/markdown-mode-2.3.ebuild b/app-emacs/markdown-mode/markdown-mode-2.3.ebuild
new file mode 100644
index 00000000000..150ec1a5aa7
--- /dev/null
+++ b/app-emacs/markdown-mode/markdown-mode-2.3.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit elisp
+
+DESCRIPTION="Major mode for editing Markdown-formatted text files"
+HOMEPAGE="http://jblevins.org/projects/markdown-mode/"
+SRC_URI="https://stable.melpa.org/packages/${P}.el"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="|| ( dev-python/markdown2 dev-python/markdown )"
+
+S="${WORKDIR}"
+
+SITEFILE="50${PN}-gentoo.el"
+
+src_unpack() {
+ cp "${DISTDIR}"/${P}.el ${PN}.el || die
+}